# allennlp_srl_bert

`allennlp_srl_bert` is a Python package designed for **Semantic Role Labeling (SRL)** using a fine-tuned BERT model trained with the AllenNLP library.

The main purpose of this library is to extract semantic role labels from sentences using a state-of-the-art BERT model fine-tuned for SRL tasks.

## Why Use `allennlp_srl_bert`?

Since the AllenNLP library is currently under maintenance, it often causes version conflicts with other libraries. This package provides a streamlined solution for SRL tasks, eliminating dependency issues by focusing on the fine-tuned BERT model for SRL.

## Features

- **High-Performance SRL**: Leverages a fine-tuned BERT model for extracting semantic role labels.
- **Standalone Usage**: Avoids the complexities of AllenNLP dependencies.
- **Customizable**: Easily adaptable for different NLP pipelines.

## Installation

Install `allennlp_srl_bert` using pip:

```bash
pip install allennlp_srl_bert
```
